Fetch Transaction Details V1
curl --request GET \
--url https://sandbox.api.fin.com/v1/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/transactions/{transaction_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/transactions/{transaction_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
"transaction_type": "OFFRAMP",
"customer_id": null,
"beneficiary_id": "e6200609-1ebb-41bb-a4d3-fd9e3bae8419",
"hash": "796b21c4412f1208918cf744e38b62c95aa55674baf62a0a3b8b189c212d0b7e",
"transaction_ref_id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
"from_amount": 1.1,
"payout_amount": 94.919,
"processing_amount": 1.1,
"status": "COMPLETED",
"fx_rate": 86.29,
"developer_fee": 1.25495,
"developer_fee_percentage": 0.45,
"developer_fee_fixed": 1.25,
"from_currency": "USD",
"payout_currency": "INR",
"virtual_account_id": null,
"batch_info": null,
"fiat_details": null,
"crypto_details": null,
"fees": null,
"created_at": "2026-01-08T08:27:22.345304Z",
"updated_at": "2026-01-08T08:27:33.76357Z"
}
}{
"message": "Authentication failed"
}{
"error": {
"code": "TRANSACTION_NOT_FOUND",
"message": "The requested transaction could not be found"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred while processing your request"
}
}Transactions
Fetch Transaction Details V1
Returns full details for a transaction by ID, including status, amounts, fees, and settlement data. The populated fields vary based on the transaction type.
GET
/
v1
/
transactions
/
{transaction_id}
Fetch Transaction Details V1
curl --request GET \
--url https://sandbox.api.fin.com/v1/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/transactions/{transaction_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/transactions/{transaction_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
"transaction_type": "OFFRAMP",
"customer_id": null,
"beneficiary_id": "e6200609-1ebb-41bb-a4d3-fd9e3bae8419",
"hash": "796b21c4412f1208918cf744e38b62c95aa55674baf62a0a3b8b189c212d0b7e",
"transaction_ref_id": "7f0124cd-6845-47d3-8b39-43f80cd50274",
"from_amount": 1.1,
"payout_amount": 94.919,
"processing_amount": 1.1,
"status": "COMPLETED",
"fx_rate": 86.29,
"developer_fee": 1.25495,
"developer_fee_percentage": 0.45,
"developer_fee_fixed": 1.25,
"from_currency": "USD",
"payout_currency": "INR",
"virtual_account_id": null,
"batch_info": null,
"fiat_details": null,
"crypto_details": null,
"fees": null,
"created_at": "2026-01-08T08:27:22.345304Z",
"updated_at": "2026-01-08T08:27:33.76357Z"
}
}{
"message": "Authentication failed"
}{
"error": {
"code": "TRANSACTION_NOT_FOUND",
"message": "The requested transaction could not be found"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred while processing your request"
}
}For CRYPTO_DEPOSIT and CRYPTO_WITHDRAWAL transaction types, you must use Fetch Transaction Details V2. We also recommend migrating all transaction detail lookups to V2, as V1 will be deprecated soon.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Transaction details retrieved successfully
Show child attributes
Show child attributes
⌘I
